JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinNT.PSID

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinNT.PSID

Direct Known Subclasses:
  WinNT.PSID.ByReference

Enclosing interface:
  WinNT

    public static class WinNT.PSID

extends Structure

Nested Class Summary
`static class` | `WinNT.PSID.ByReference`

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByValue`

Field Summary
`Pointer` | `sid`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinNT.PSID()`
`WinNT.PSID(byte[] data)`
`WinNT.PSID(int size)`
`WinNT.PSID(Pointer memory)`

Method Summary
`byte[]` | `getBytes()`
`void` | `setPointer(Pointer p)`

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public Pointer sid

Constructor Detail

### WinNT.PSID

    public WinNT.PSID()

### WinNT.PSID

    public WinNT.PSID(byte[] data)

### WinNT.PSID

    public WinNT.PSID(int size)

### WinNT.PSID

    public WinNT.PSID(Pointer memory)

Method Detail

### setPointer

    public void setPointer(Pointer p)

### getBytes

    public byte[] getBytes()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.